Anonymous Login
2018-01-16 08:40 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001699OpenClonkObjectspublic2018-01-08 09:03
ReporterOctagon 
Assigned ToZapper 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001699: Empty chests should stay open
DescriptionThis would be very handy in "Treasure Hunt", to see at a glance where you've already been.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005038

Maikel (developer)

Maybe only in that round, but I don't see a reason for this in general.

~0005039

Armin (reporter)

Hm the first thing I thought when I read this is that rain and dirt would fall into the chest if it is always open.

I get the point but I think it would be weird if you build open chests per default. Or imagine there is a spawn point connected to the chest: When a script spawns a flint to the chest inventory, the chest would magically close itself etc.

~0005040

Zapper (developer)

>When a script spawns a flint to the chest inventory, the chest would magically close itself etc.

Well, that would actually be /good/, I'd argue. Because the player would get feedback about that the chest now contains an item, even though it didn't 5 seconds ago.

~0005102

Zapper (developer)

Implemented in the snapshot.

Let's see how it feels and revert it if we don't like it.
(No matter what we do, we will be able to close this bug afterwards!)

~0005103

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/092b01243011a75789ec6895b42ada9ff2c3dfc5

Changeset 092b012 by David Dormagen <czapper@gmx.de>
chest: stay open when empty (0001699)

This is debatable. Let's see how this feels ingame and revert it in case we don't like it.
I like it because I think it gives valuable feedback to the players (and thus can reduce frustration coming from unnecessary actions). But it might also feel like a bug to players.

~0006016

Zapper (developer)

Noone complained so far, so I guess it's staying that way
+Notes

-Issue History
Date Modified Username Field Change
2016-03-04 19:42 Octagon New Issue
2016-03-08 17:10 Maikel Note Added: 0005038
2016-03-09 00:20 Armin Note Added: 0005039
2016-03-09 07:17 Zapper Note Added: 0005040
2016-05-30 10:20 Zapper Note Added: 0005102
2016-05-30 10:20 Zapper Assigned To => Zapper
2016-05-30 10:20 Zapper Status new => feedback
2016-05-30 11:19 occ Note Added: 0005103
2018-01-08 09:02 Zapper Status feedback => resolved
2018-01-08 09:02 Zapper Resolution open => fixed
2018-01-08 09:02 Zapper Fixed in Version => 8.0
2018-01-08 09:02 Zapper Note Added: 0006016
2018-01-08 09:03 Zapper Target Version => 8.0
+Issue History